%define         anolis_release 5

%bcond_without  perl_version_enables_optional_test
%global module_version 0.9929

Name:           perl-version
Epoch:          8
Version:        0.99.29
Release:        %{anolis_release}%{?dist}
Summary:        Perl extension for Version Objects
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/version
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/version-%{module_version}.tar.gz

BuildRequires:  gcc findutils make
BuildRequires:  perl-devel perl-interpreter perl-generators perl(Config) perl(strict)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(File::Temp) >= 0.13
# Runtime
BuildRequires:  perl(B) perl(Carp) perl(constant) perl(if) perl(locale)
BuildRequires:  perl(overload) perl(POSIX) perl(UNIVERSAL)
BuildRequires:  perl(warnings::register) perl(XSLoader) perl(warnings)
# Tests only
BuildRequires:  perl(base) perl(Data::Dumper) perl(lib) perl(List::Util)
BuildRequires:  perl(Test::Harness) perl(Test::More) >= 0.45
BuildRequires:  perl(IO::Handle) perl(File::Basename) perl(File::Spec)

%if %{with perl_version_enables_optional_test} && ! %{defined perl_bootstrap}
BuildRequires:  perl(Test::Taint)
%endif

Requires:       perl(B) perl(Carp) perl(locale) perl(UNIVERSAL) perl(warnings) perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Obsoletes:      %{name}-tests < %{EVR}

%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(version::vxs\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

%description
Perl-Version is a software package that provides a simple way to query and compare Perl version 
numbers. It is useful for checking whether a particular module or feature is available in a given 
version of Perl. The package provides a number of functions for comparing version numbers, 
including version::is_lax, version::is_strict, and version::is_qv

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n version-%{module_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" UNINST=0 NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%{perl_vendorarch}/auto/version/
%{perl_vendorarch}/version.pm
%dir %{perl_vendorarch}/version/
%{perl_vendorarch}/version/vpp.pm
%{perl_vendorarch}/version/vxs.pm
%{perl_vendorarch}/version/regex.pm
%{_mandir}/man3/version.3pm*
%{_mandir}/man3/version::Internals.3pm*
%doc %{perl_vendorarch}/version.pod
%doc %{perl_vendorarch}/version/Internals.pod

%files doc
%doc README CHANGES

%changelog
* Thu Apr 13 2023 yuanhui <yuanhui@linux.alibaba.com> - 8:0.99.29-5
- Optimize the spec file

* Tue Feb 07 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 8:0.99.29-4
- rebuild with perl_bootstrap disabled

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 8:0.99.29-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 8:0.99.29-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 yuanhui <yuanhui@linux.alibaba.com> - 8:0.99.29-1
- Init perl-version for anolis os 23
